Subject: [lemonade] RE: Submission of an I-D to Lemonade

From: "Stephane H. Maes" <[email-masked]>
Date: Sun, 22 Feb 2004 21:55:40 -0800

Re-sending...

Draft can be found at http://www.ietf.org/internet-drafts/draft-maes-lemonade-p-imap-00.txt.

Thanks

Stephane

-----Original Message-----
From: Stephane H. Maes [mailto:[email-masked]] 
Sent: Wednesday, February 18, 2004 5:07 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]; Eric Burger
Subject: Submission of an I-D to Lemonade

We have submitted an internet draft that discusses optimizing the use of IMAPv4 rev1 for mobile e-mail and in particular to support push e-mail. I was expecting to see it sent to the group and waited to send this. However I have not seen anything yet... So here it goes. We would appreciate if could be considered by Lemonade. 

In the submitted draft, we attempt to share some of the experiences that we have acquired in deploying secure end-to-end solutions for mobile access to e-mail and the feedback that we have received from numerous partners who have reviewed, debugged and validated the approach. Our work is largely inspired by some of the discussions that have taken place in fora like IETF/Lemonade, OMA, 3GPP and 3GPP2.

In the present draft, we focus on the secure exchanges between an IMAP e-mail corporate server (or a proxy in front of it) and a mobile terminal, in order to support the use cases listed below (non-exhaustive list):
	- An e-mail arrives at the corporate server of a mobile worker. The client on the terminal is as soon as possible securely notified of the new e-mail. Based on the preferences of the user, the notification is made available to the user or the client securely fetches the new e-mail or portions of it (e.g. header, few first kB, whole body without attachment or whole e-mail).
	- An e-mail is composed by a mobile worker. Upon selecting to send the e-mail, it is immediately securely sent from the corporate e-mail server of the user (and not another server).
	- Changes performed by the mobile worker in his e-mail client (e.g. deleting and e-mail or moving it from one e-mail folder to another) are immediately reflected to the corporate server, if prescribed by the user or his or her preferences (e.g. a deleted e-mail may or may not have to be deleted on the server; the change from un-read to read may be systematically reflected in the mail server etc.).
	- While mobile, a user sets and change filtering rules that specify when a new e-mail arriving at the corporate e-mail must be reflected in the mobile client.
	- Depending on the network / service provider available to the mobile worker (e.g. underlying network technology, roaming, cost etc.), he or she can change behaviour of the mobile e-mail and appropriately provision for :
		- Secure notification of all or filtered new e-mails (and possibly other events) through separate messaging mechanisms (e.g. SMS, MMS, Push) followed by:
			- Automated secure retrieval in a data session
			- Manual secure retrieval in a data session
			- Secure browsing access (e.g. WAP, Web, Voice)
		- An always on connection with notification of all or filtered new e-mails (and possibly other events) followed by automated or manual retrieval within the same session.
		- etc...
	- The mobile user can at any time synchronize his e-mail either over the air as mobile e-mail (with the corporate server) or over cradle (e.g. over TCP/IP or other synchronization via cradle, bluetooth, IRDA, ...) with a laptop. 

If appropriate, we would like this to be discussed in Seoul. 

We hope that this contribution will be found useful by the Lemonade group.

Thanks

Stephane

_____ 
Stephane H. Maes, PhD, Director of Architecture - Mobile, Oracle Corporation.
Ph: +1-203-300-7786 (mobile/SMS); Fax: +1-650-506-7222; Office UM: +1-650-607-6296.
e-mail: [email-masked]
IM: shmaes (AIM) or [email-masked] (MSN Messenger)

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade